<template>
  <div class="wrapper" :class="{ 'nav-open': $sidebar.showSidebar }">
    <side-bar
      :background-color="sidebarBackground"
      short-title="Argon"
      title="Argon"
    >
      <template slot="links">
        <sidebar-item
        v-if="userData.user_roll === 1"
          :link="{
            name: 'Manage Users',
            icon: 'ni ni-tv-2 text-success',
            path: '/manage'
          }"
        />
        <sidebar-item :link="{name: 'Token', icon: 'fas fa-paperclip', path: '/token'}"/>
        <sidebar-item :link="{name: 'Topic', icon: 'ni ni-planet text-blue', path: '/topic'}"/>
        <sidebar-item :link="{name: 'Your App', icon: 'fas fa-align-left text-orange', path: '/app'}"/>
        <sidebar-item :link="{name: 'Hotel', icon: 'far fa-building text-info', path: '/hotel'}"/>
        <sidebar-item :link="{name: 'All Topic', icon: 'fas fa-align-justify text-info', path: '/alltopic'}"/>
        <sidebar-item :link="{name: 'Example', icon: 'fab fa-stack-exchange text-pink', path: '/example'}"/>

      </template>
    </side-bar>
    <div class="main-content" :data="sidebarBackground">
      <dashboard-navbar></dashboard-navbar>

      <div @click="toggleSidebar">
        <fade-transition :duration="200" origin="center top" mode="out-in">
          <!-- your content here -->
          <router-view></router-view>
        </fade-transition>
        <content-footer v-if="!$route.meta.hideFooter"></content-footer>
      </div>
    </div>
  </div>
</template>
<script>
  import DashboardNavbar from './DashboardNavbar.vue';
  import ContentFooter from './ContentFooter.vue';
  import { FadeTransition } from 'vue2-transitions';

  export default {
    components: {
      DashboardNavbar,
      ContentFooter,
      FadeTransition
    },
    data() {
      return {
        sidebarBackground: 'vue', //vue|blue|orange|green|red|primary
        userData : [],
      };
    },
    created() {
      this.checkUser()
    },
    methods: {
      toggleSidebar() {
        if (this.$sidebar.showSidebar) {
          this.$sidebar.displaySidebar(false);
        }
      },
      checkUser() {
          //console.log(localStorage.token)
          this.$http.get('/manage/checkuser',{
          headers: {
            Authorization: 'Bearer ' + localStorage.token
            }
          })
          .then(response => (this.userData = response.data))
        }
    }
  };
</script>
<style lang="scss">
</style>
